org.jbpm.kie.services.impl

## Class KModuleDeploymentUnit

- java.lang.Object
- - org.jbpm.kie.services.impl.KModuleDeploymentUnit

- All Implemented Interfaces:
    Serializable, AttributesAware, DeploymentUnit
  Direct Known Subclasses:
    CustomIdKModuleDeploymentUnit

      public class KModuleDeploymentUnit
      extends Object
      implements DeploymentUnit, AttributesAware, Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KModuleDeploymentUnit(String groupId, String artifactId, String version)`
    `KModuleDeploymentUnit(String groupId, String artifactId, String version, String kbaseName, String ksessionName)`
    `KModuleDeploymentUnit(String groupId, String artifactId, String version, String kbaseName, String ksessionName, String strategy)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAttribute(String name, String value)`
    `String` | `getArtifactId()`
    `Map<String,String>` | `getAttributes()`
    `org.kie.internal.runtime.conf.DeploymentDescriptor` | `getDeploymentDescriptor()`
    `String` | `getGroupId()`
    `String` | `getIdentifier()` Returns the deployment unit identifier.
    `String` | `getKbaseName()`
    `org.kie.api.runtime.KieContainer` | `getKieContainer()`
    `String` | `getKsessionName()`
    `org.kie.internal.runtime.conf.MergeMode` | `getMergeMode()`
    `org.kie.internal.runtime.conf.RuntimeStrategy` | `getStrategy()` Returns the deployment unit runtime strategy.
    `String` | `getVersion()`
    `boolean` | `isActive()`
    `boolean` | `isDeployed()`
    `String` | `removeAttribute(String name)`
    `void` | `resetStrategy()`
    `void` | `setActive(boolean active)`
    `void` | `setArtifactId(String artifactId)`
    `void` | `setDeployed(boolean deployed)`
    `void` | `setDeploymentDescriptor(org.kie.internal.runtime.conf.DeploymentDescriptor deploymentDescriptor)`
    `void` | `setGroupId(String groupId)`
    `void` | `setKbaseName(String kbaseName)`
    `void` | `setKieContainer(org.kie.api.runtime.KieContainer kieContainer)`
    `void` | `setKsessionName(String ksessionName)`
    `void` | `setMergeMode(org.kie.internal.runtime.conf.MergeMode mergeMode)`
    `void` | `setStrategy(org.kie.internal.runtime.conf.RuntimeStrategy strategy)`
    `void` | `setVersion(String version)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### KModuleDeploymentUnit

          public KModuleDeploymentUnit(String groupId,
                                       String artifactId,
                                       String version)

    - #### KModuleDeploymentUnit

          public KModuleDeploymentUnit(String groupId,
                                       String artifactId,
                                       String version,
                                       String kbaseName,
                                       String ksessionName)

    - #### KModuleDeploymentUnit

          public KModuleDeploymentUnit(String groupId,
                                       String artifactId,
                                       String version,
                                       String kbaseName,
                                       String ksessionName,
                                       String strategy)

  - ### Method Detail

    - #### getIdentifier

          public String getIdentifier()

      Description copied from interface: `DeploymentUnit`
      Returns the deployment unit identifier.
      Specified by:
        `getIdentifier` in interface `DeploymentUnit`
      Returns:
        identifier

    - #### getStrategy

          public org.kie.internal.runtime.conf.RuntimeStrategy getStrategy()

      Description copied from interface: `DeploymentUnit`
      Returns the deployment unit runtime strategy.
      Specified by:
        `getStrategy` in interface `DeploymentUnit`
      Returns:
        @`RuntimeStrategy` runtime strategy

    - #### setStrategy

          public void setStrategy(org.kie.internal.runtime.conf.RuntimeStrategy strategy)

    - #### getArtifactId

          public String getArtifactId()

    - #### setArtifactId

          public void setArtifactId(String artifactId)

    - #### getGroupId

          public String getGroupId()

    - #### setGroupId

          public void setGroupId(String groupId)

    - #### getVersion

          public String getVersion()

    - #### setVersion

          public void setVersion(String version)

    - #### getKsessionName

          public String getKsessionName()

    - #### setKsessionName

          public void setKsessionName(String ksessionName)

    - #### getKbaseName

          public String getKbaseName()

    - #### setKbaseName

          public void setKbaseName(String kbaseName)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getMergeMode

          public org.kie.internal.runtime.conf.MergeMode getMergeMode()

    - #### setMergeMode

          public void setMergeMode(org.kie.internal.runtime.conf.MergeMode mergeMode)

    - #### getDeploymentDescriptor

          public org.kie.internal.runtime.conf.DeploymentDescriptor getDeploymentDescriptor()

    - #### setDeploymentDescriptor

          public void setDeploymentDescriptor(org.kie.internal.runtime.conf.DeploymentDescriptor deploymentDescriptor)

    - #### isDeployed

          public boolean isDeployed()

    - #### setDeployed

          public void setDeployed(boolean deployed)

    - #### resetStrategy

          public void resetStrategy()

    - #### addAttribute

          public void addAttribute(String name,
                                   String value)

      Specified by:
        `addAttribute` in interface `AttributesAware`

    - #### removeAttribute

          public String removeAttribute(String name)

      Specified by:
        `removeAttribute` in interface `AttributesAware`

    - #### getAttributes

          public Map<String,String> getAttributes()

      Specified by:
        `getAttributes` in interface `AttributesAware`

    - #### getKieContainer

          public org.kie.api.runtime.KieContainer getKieContainer()

    - #### setKieContainer

          public void setKieContainer(org.kie.api.runtime.KieContainer kieContainer)

    - #### isActive

          public boolean isActive()

    - #### setActive

          public void setActive(boolean active)

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.